/*
   client/hudtargetstatus.h
   This file is part of the Osirion project and is distributed under
   the terms and conditions of the GNU General Public License version 2
*/

#ifndef __INCLUDED_CLIENT_HUDTARGETSTATUS_H__
#define __INCLUDED_CLIENT_HUDTARGETSTATUS_H__

#include "ui/widget.h"

namespace client
{

/**
 * @brief A Wdiget used by the HUD to draw the current target status
 * */

class HUDTargetStatus : public ui::Widget
{
public:
	/// create a new HUD widget
	HUDTargetStatus(ui::Widget *parent = 0);

protected:
	/**
	 * @brief draw window background
	 * */
	virtual void draw_background();
	
	/**
	 * @brief draw current target status
	 * */
	virtual void draw();

	/**
	 * @brief receive keyboard events
	 * This implementation ignores any incoming key events
	 * */
	virtual bool on_keypress(const int key, const unsigned int modifier);
};

}

#endif // __INCLUDED_CLIENT_HUDTARGETSTATUS_H__

