/*
   core/message.h
   This file is part of the Osirion project and is distributed under
   the terms of the GNU General Public License version 2
*/

#ifndef __INCLUDED_CORE_MESSAGE_H__
#define __INCLUDED_CORE_MESSAGE_H__

namespace core
{

class Message
{

public:
	/**
	 * @brief indicates the type of message
	 * Info		info messages from the server to the player
	 * Public	public global chat
	 * Local	public local (zone) chat
	 * Private	player to player private messages
	 * RCon		rcon messages
	 * Sound	sound event
	 */
	enum Channel {Info = 0, Public = 1, Local = 2, Private = 3, RCon = 4, Sound = 5};
};

}

#endif // __INCLUDED_CORE_MESSAGE_H__

