/*
   filesystem/diskfile.h
   This file is part of the Osirion project and is distributed under
   the terms of the GNU General Public License version 2
*/

#ifndef __INCLUDED_FILESYSTEM_DISKFILE_H__
#define __INCLUDED_FILESYSTEM_DISKFILE_H__

#include "filesystem/filesystem.h"
#include "sys/sys.h"

#include <stdio.h>

#include <string>

namespace filesystem
{

/**
 * @brief implementation of File for a file on disk
 */
class DiskFile : public File
{
public:
	DiskFile();
	virtual ~DiskFile();

	virtual bool open(const char * filename);
	virtual void close();

	virtual size_t read(void *buffer, size_t count);

	virtual FILE *handle();
	void skip(size_t count);

private:
	FILE *diskfile_handle;
};

} // namespace filesystem

#endif // __INCLUDED_FILESYSTEM_DISKFILE_H__

