/*
   model/trianglelist.cc
   This file is part of the Osirion project and is distributed under
   the terms of the GNU General Public License version 2
*/

#include "model/trianglelist.h"

namespace model {
	
TriangleList::TriangleList()
{
}

TriangleList::~TriangleList()
{
	clear();
}
	
void TriangleList::clear()
{
	for (TriangleList::iterator it = trianglelist_triangles.begin(); it != trianglelist_triangles.end(); it++) {
		delete (*it);
	}
	
	trianglelist_triangles.clear();
}
	
Triangle *TriangleList::add(const math::Vector3f &v0, const math::Vector3f &v1, const math::Vector3f &v2)
{
	Triangle *new_triangle = new Triangle(v0, v1, v2);
	trianglelist_triangles.push_back(new_triangle);
	return new_triangle;
}

Triangle *TriangleList::add(Triangle &triangle)
{
	Triangle *new_triangle = new Triangle(triangle.v0(), triangle.v1(), triangle.v2());
	trianglelist_triangles.push_back(new_triangle);
	return new_triangle;
}

} // namespace model
